Bug 492533 - Review Request: choqok - KDE Micro-Blogging Client
Review Request: choqok - KDE Micro-Blogging Client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 05:29 EDT by Tejas Dinkar
Modified: 2009-06-04 08:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 08:14:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tejas Dinkar 2009-03-27 05:29:51 EDT
Spec URL: http://tejas.fedorapeople.org/choqok/choqok.spec
SRPM URL: http://tejas.fedorapeople.org/choqok/choqok-0.5-1.fc10.src.rpm
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1260723

Description:
A Free/Open Source micro-blogging client for K Desktop Environment.
The name comes from an ancient Persian word, which means Sparrow!  
Choqok currently supports Twitter.com and Identi.ca services.

Tests Done:
No errors/warnings when running rpmlint on
* SPEC file
* SRPM file
* RPM file when build on i386
* Posted at least one tweet to my twitter account without borking: http://twitter.com/tdinkar/status/1399986748
Comment 1 Jaroslav Reznik 2009-03-27 07:55:50 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: builds in Koji
 [x] Rpmlint output: clean 
 [-] Package is not relocatable.
 [x] Buildroot is correct
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv3
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in koji.
     - http://koji.fedoraproject.org/koji/taskinfo?taskID=1260867
 [x] Package should compile and build into binary rpms on all supported
architectures.
     - f11 http://koji.fedoraproject.org/koji/taskinfo?taskID=1260867
     - f10 http://koji.fedoraproject.org/koji/taskinfo?taskID=1261010
 [?] Package functions as described.
     - I've checked reviewer Twitter post, don't have Twitter account
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.

=== SUMMARY ===
- AUTHORS, changelog and TODO should be part of %doc section
Comment 3 Jaroslav Reznik 2009-03-27 11:23:00 EDT
Thanks.

APPROVED
Comment 4 Tejas Dinkar 2009-04-08 10:18:59 EDT
New Package CVS Request
=======================
Package Name: choqok
Short Description: KDE Twitter Client
Owners: tejas
Branches: F-9 F-10 F-11
InitialCC: tejas
Comment 5 Kevin Fenzi 2009-04-09 19:30:41 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.